{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp4195": {
			"states": {
				"default": {
					"transitions": [
						{
							"day_idle": "1.0"
						}
					]
				},
				"day_idle": {
					"animations": ["day", "day_idle"],
					"transitions": [
						{
							"day_to_night": "query.has_target || (query.time_of_day < 0.25 || query.time_of_day > 0.75)"
						}
					]
				},
				"day_to_night": {
					"animations": ["day_to_night"],
					"transitions": [
						{
							"night_idle": "query.any_animation_finished"
						}
					]
				},
				"night_to_day": {
					"animations": ["night_to_day"],
					"transitions": [
						{
							"day_idle": "query.any_animation_finished"
						}
					]
				},
				"night_idle": {
					"animations": ["night", "night_idle"],
					"transitions": [
						{
							"night_to_day": "!query.has_target && (query.time_of_day >= 0.25 && query.time_of_day <= 0.75)"
						},
						{
							"attack_poisson": "query.is_roaring"
						}
					]
				},
				"attack_poisson": {
					"animations": ["attack_poisson"],
					"transitions": [
						{
							"night_idle": "query.any_animation_finished"
						}
					]
				}
			}
		}
	}
}